MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
sc::StateInText Class Reference

Reads state information written with StateOutText. More...

`#include <state_text.h>`

Inheritance diagram for sc::StateInText:
[legend]
Collaboration diagram for sc::StateInText:
[legend]

## Public Member Functions
| StateInText (std::istream &s)
| StateInText (const char *)
| StateInText (const Ref< KeyVal > &)
int | getstring (char *&)
| This restores strings saved with StateOut::putstring.
int | get_array_char (char *, int)
| These restore data saved with StateOut's put. More...
int | get_array_uint (unsigned int *, int)
int | get_array_int (int *, int)
int | get_array_float (float *, int)
int | get_array_double (double *, int)
int | get (const ClassDesc **)
| This restores ClassDesc's. More...
int | get (char &r, const char *key=0)
| These restore data saved with StateOut's put. members.
int | get (unsigned int &r, const char *key=0)
int | get (int &r, const char *key=0)
int | get (float &r, const char *key=0)
int | get (double &r, const char *key=0)
int | get (char *&)
| These restore data saved with StateOut's put. More...
int | get (unsigned int *&)
int | get (int *&)
int | get (float *&)
int | get (double *&)
Public Member Functions inherited from sc::StateInFile
| StateInFile ()
| State information will be obtained from cin.
| StateInFile (std::istream &s)
| State information will be obtained from fp.
| StateInFile (const char *name)
| State information will be obtained from name.
virtual int | open (const char *name)
| State information will be obtained from name.
virtual void | close ()
| Close the output file.
Public Member Functions inherited from sc::StateIn
virtual void | get_header ()
| Read in the header information. More...
virtual int | version (const ClassDesc *)
| Returns the version of the ClassDesc in the persistent object or -1 if info on the ClassDesc doesn't exist. More...
virtual int | get (std::string &)
| This restores a std::string object.
virtual int | get (bool &r, const char *keyword=0)
template<class T >
int | get (typename std::vector< T > &v)
| Read an STL vector of data.
int | node_to_node () const
| True if this is a node to node save/restore. More...
virtual int | use_directory ()
| Returns true of this object uses a directory.
virtual int | tell ()
| Return the current position in the file.
virtual void | seek (int)
| Set the current position in the file. More...
virtual int | seekable ()
| Return non-zero if seek does anything sensible. More...
int | has_directory () const
virtual void | list_objects (std::ostream &=ExEnv::out0())
| List all the objects to the stream. More...
void | set_override (const Ref< KeyVal > &kv)
| Give this StateIn a KeyVal object that is used to override values. More...
const Ref< KeyVal > & | override () const
| Return the KeyVal used to override values. More...
Public Member Functions inherited from sc::DescribedClass
| DescribedClass (const DescribedClass &)
DescribedClass & | operator= (const DescribedClass &)
ClassDesc * | class_desc () const throw ()
| This returns the unique pointer to the ClassDesc corresponding to the given type_info object. More...
const char * | class_name () const
| Return the name of the object's exact type.
int | class_version () const
| Return the version of the class.
virtual void | print (std::ostream &=ExEnv::out0()) const
| Print the object.
Public Member Functions inherited from sc::RefCount
int | lock_ptr () const
| Lock this object.
int | unlock_ptr () const
| Unlock this object.
void | use_locks (bool inVal)
| start and stop using locks on this object
refcount_t | nreference () const
| Return the reference count.
refcount_t | reference ()
| Increment the reference count and return the new count.
refcount_t | dereference ()
| Decrement the reference count and return the new count.
int | managed () const
void | unmanage ()
| Turn off the reference counting mechanism for this object. More...
int | managed () const
| Return 1 if the object is managed. Otherwise return 0.
Public Member Functions inherited from sc::Identity
Identifier | identifier ()
| Return the Identifier for this argument. More...

## Protected Member Functions
void | no_newline ()
void | no_array ()
int | read (char *)
int | read (unsigned int &)
int | read (int &)
int | read (float &)
int | read (double &)
void | newline ()
void | start_array ()
void | end_array ()
int | getobject (Ref< SavableState > &)
| This is used to restore an object. More...
void | abort ()

## Protected Attributes
int | newlines_
int | no_newline_
int | no_array_
Protected Attributes inherited from sc::StateInFile
int | opened_
std::streambuf * | buf_
Protected Attributes inherited from sc::StateIn
Ref< KeyVal > | override_
TranslateDataIn * | translate_
std::map< int, StateInData > | ps_
int | expected_object_num_
std::map< ClassDescP, int > | classidmap_
std::map< int, StateClassData > | classdatamap_
int | nextclassid_
int | node_to_node_
int | version_
int | date_
char | userid_ [9]
char | format_

## Detailed Description

Reads state information written with StateOutText.

## Member Function Documentation

int sc::StateInText::get | ( | const ClassDesc ** |  | ) |
| virtual

This restores ClassDesc's.

It will set the pointer to the address of the static ClassDesc for the class which has the same name as the class that had the ClassDesc that was saved by put(const ClassDesc*).

Reimplemented from sc::StateIn.

int sc::StateInText::get | ( | char *& |  | ) |
| virtual

These restore data saved with StateOut's put.

members. The data is allocated by StateIn.

Reimplemented from sc::StateIn.

int sc::StateInText::get_array_char | ( | char * | p,
|  | int | size
| ) |  |
| virtual

These restore data saved with StateOut's put.

members. The data must be preallocated by the user.

Reimplemented from sc::StateIn.

int sc::StateInText::getobject | ( | Ref< SavableState > & |  | ) |
| protected virtual

This is used to restore an object.

It is called with the reference to the reference being restored. If the data being restored has previously been restored, then the pointer being restored is set to a reference to the previously restored object.

Reimplemented from sc::StateIn.

The documentation for this class was generated from the following file:

- state_text.h